/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program testing isgraph() */
#include <ctype.h>
#include <stdio.h>

int main() {
    char c = 'A';
    printf("isgraph('%c') returns %d\n", c, isgraph(c));
    if(isgraph(c) > 0)
        printf("'%c' is a printable character.\n", c);
    else
        printf("'%c' is not a printable character or it is a space.\n", c);
    c = ' ';
    printf("isgraph('%c') returns %d\n", c, isgraph(c));
    if(isgraph(c) > 0)
        printf("'%c' is a printable character.\n", c);
    else
        printf("'%c' is not a printable character or it is a space.\n", c);
}
